/*  MegaPad
 *  Copyright (C) 2007 NHerv
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PAD_H__
#define __PAD_H__

#include <stdio.h>
#include <windows.h>
#include <windowsx.h>

#define PADdefs
#include "PS2Edefs.h"
#include "resource.h"

#define BT_NONE		0
#define BT_KEY		1
#define BT_JOYBTN	2
#define BT_JOYPOV	3
#define BT_JOYAXIS	4
#define BT_MOUSE	5

typedef struct{
	int type[25];		//Type : 0 : None, 1 : Keyboard, 2 : Joystick button, 3 : Joystick POV, 4 : Joystick axis, 5 : Mouse
	int num[25];		//Key number, or button, POV or axis
	int index[25];		//Device index for joystick
	int dir[25];		//Direction (POVs : see SDL_Joystick.h, axes : 1 : min, 2 : max)
} KeyConf;

typedef struct{
	int enabled;        //added since version 1.2.0
	KeyConf keys;		//config struct
} PadConf;

typedef struct{
	int x, y;
} Point;

void LoadConfig(), SaveConfig();

#endif


